import { EventEmitter } from "../../../stencil-public-runtime";
import * as langly from "langly";
import { Customer, Order } from "@payfunc/model";
export declare class IntergiroBalanceAdd {
  customer: Customer;
  element: HTMLElement;
  t: langly.Translate;
  opened: boolean;
  addFunds: EventEmitter<Order.Creatable>;
  componentWillLoad(): void;
  private submit;
  render(): any[];
}
